Bug 409998 - Documentation does not exist
Summary: Documentation does not exist
Status: RESOLVED FIXED
Alias: None
Product: kaddressbook
Classification: Applications
Component: general (show other bugs)
Version: 5.7.3
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David C. Bryant
URL: https://davidcbryant.net
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-19 13:08 UTC by David C. Bryant
Modified: 2019-09-29 06:15 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
attachment-13474-0.html (1.21 KB, text/html)
2019-07-19 17:42 UTC, David C. Bryant
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David C. Bryant 2019-07-19 13:08:28 UTC
I cannot find any documentation for the KAddressBook program.


STEPS TO REPRODUCE
1. I invoke Kaddressbook, either from the start menu, or from a command line, or from the "TOOLS" menu in KMail. I click on "Help", then "KAddressBook Handbook". The KDE HelpCenter program starts, and dislays this screen:

Documentation not Found
Jack Ostroff <ostroffjh@users.sourceforge.net>
Revision Frameworks 5.0 (2014-04-02)
The requested documentation was not found on your computer.
The documentation may not exist, or it may not have been installed with the application.

2. So I chase the link to KDE Documentation (https://docs.kde.org/index.php) and put "KAddressBook" in the search box. I receive this response:

The application KAddressBook could not be found. Please check if you entered the name correctly, or use the navigation on the left to access the complete KDE User Documentation.

3. So I try the "Kontact" Handbook, either via the "Help Center" locally, or via the KDE documentation site, and I open that. So far, so good. I go to Chapter 2, "Kontact Components", and click the link to "KAddressBook", the KDE contact manager. Same thing: "Documentation Not Found".

4. I even visit http://userbase.kde.org/, where I do find some sketchy documentation. I guess I'll rely on that. 

OBSERVED RESULT
No Documentation Found

EXPECTED RESULT
The KAddressBook Handbook (a .pdf file)

SOFTWARE/OS VERSIONS

Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.12.8
KDE Frameworks Version: 5.45.0
Qt Version: 5.9.4

ADDITIONAL INFORMATION

I would be glad to help write the missing documentation. I have extensive experience on "ancient" computers (IBM Systems 1401, 360, 370, 4341, etc.) writing assembly language, COBOL, PL/I, FORTRAN, and BASIC. Not so hot with PCs, because I'm old. But I have written some Visual Basic programs (Windows) and some simple C programs (Linux). Probably can't be much help with code, but I think I can handle the doco. (I have used "Kile" to create quite a few .pdf files for my web site, https://davidcbryant.net.)
Comment 1 Laurent Montel 2019-07-19 15:21:58 UTC
Indeed kaddressbook doesn't have a doc :(
Comment 2 carl 2019-07-19 17:29:35 UTC
Hello David,

Did you take a look at: https://community.kde.org/Get_Involved/documentation ;)

The documentation team is small and always welcome new contributors.

Cheers,

Carl
Comment 3 David C. Bryant 2019-07-19 17:42:19 UTC
Created attachment 121634 [details]
attachment-13474-0.html

On Friday, July 19, 2019 10:21:58 AM CDT you wrote: 
> https://bugs.kde.org/show_bug.cgi?id=409998 
> 
> Laurent Montel <montel@kde.org> changed: 
> 
> What |Removed |Added 
> ---------------------------------------------------------------------------- 
> CC| |montel@kde.org 
> 
> --- Comment #1 from Laurent Montel <montel@kde.org> --- 
> Indeed kaddressbook doesn't have a doc :( 

Well, Do you think I should work on creating one? I know 
how to use HTML; you may look at https://davidcbryant.net 
if you're so inclined. I guess I'll go hunt around on the web 
a little, and see if I can find a template somewhere.
Comment 4 David C. Bryant 2019-07-19 20:43:40 UTC
On Friday, July 19, 2019 12:29:35 PM CDT you wrote:
> https://bugs.kde.org/show_bug.cgi?id=409998
> 
> carl <schwancarl@protonmail.com> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
> CC|                            |schwancarl@protonmail.com
> 
> --- Comment #2 from carl <schwancarl@protonmail.com> ---
> Hello David,
> 
> Did you take a look at: https://community.kde.org/Get_Involved/documentation 
> ...
> 

Not yet. But I did visit https://mail.kde.org/mailman/listinfo/kde-doc-english 
and joined that mailing list. I looked at some of the documentation pages, and 
I see they are just HTML code. Sort of messy HTML code, in my opinion -- I 
suppose people use some sort of WYSIWYG editor to create it.

I shall try to get involved. Thank you for the suggestion, Carl.
Comment 5 carl 2019-07-19 21:04:14 UTC
(In reply to David C. Bryant from comment #4)
> On Friday, July 19, 2019 12:29:35 PM CDT you wrote:
> > https://bugs.kde.org/show_bug.cgi?id=409998
> > 
> > carl <schwancarl@protonmail.com> changed:
> > 
> >            What    |Removed                     |Added
> > ----------------------------------------------------------------------------
> > CC|                            |schwancarl@protonmail.com
> > 
> > --- Comment #2 from carl <schwancarl@protonmail.com> ---
> > Hello David,
> > 
> > Did you take a look at: https://community.kde.org/Get_Involved/documentation 
> > ...
> > 
> 
> Not yet. But I did visit
> https://mail.kde.org/mailman/listinfo/kde-doc-english 
> and joined that mailing list. I looked at some of the documentation pages,
> and 
> I see they are just HTML code. Sort of messy HTML code, in my opinion -- I 
> suppose people use some sort of WYSIWYG editor to create it.
> 
> I shall try to get involved. Thank you for the suggestion, Carl.

Hello David,

Yes the format used for the documentation is the DocBook format, it's an XML based format. You don't need to learn it to contribute. Other contributors can convert it for you. If you don't mind, let's move the discussion to #kde-docs in irc or #kde-docs:kde.org in Matrix. If you have any question, feel free to ping me. My username is "Carl Schwan".

Cheers,

Carl
Comment 6 David C. Bryant 2019-08-15 13:15:40 UTC
I'm writing new documentation ... D22799 in Phabricator, if anybody's interested. I'm aiming to be done in about one more month (mid-September).
Comment 7 Yuri Chornoivan 2019-09-29 06:15:25 UTC
Git commit 24d6489eaa17a6a32bdfa6b35cc8f683abbed13b by Yuri Chornoivan, on behalf of David Bryant.
Committed on 29/09/2019 at 06:15.
Pushed by yurchor into branch 'master'.

Adding new .docbook for KAddressBook, draft version

Summary:
I have written the first two chapters of documentation for KAddressBook, and I'm asking for feedback

Test Plan: ? I'm new, so I don't know.

Reviewers: #documentation, #kde_pim, yurchor

Reviewed By: yurchor

Subscribers: ltoscano, mlaurent, yurchor, lueck, ognarb, kde-pim, kde-doc-english

Tags: #kde_pim, #documentation

Differential Revision: https://phabricator.kde.org/D22799

M  +3    -0    CMakeLists.txt
A  +-    --    doc/KDE_logo.png
A  +-    --    doc/address-book-new.png
A  +-    --    doc/addressbook00.png
A  +-    --    doc/addressbook10.png
A  +-    --    doc/addressbook100.png
A  +-    --    doc/addressbook101.png
A  +-    --    doc/addressbook102.png
A  +-    --    doc/addressbook103.png
A  +-    --    doc/addressbook104.png
A  +-    --    doc/addressbook110.png
A  +-    --    doc/addressbook111.png
A  +-    --    doc/addressbook112.png
A  +-    --    doc/addressbook113.png
A  +-    --    doc/addressbook114.png
A  +-    --    doc/addressbook120.png
A  +-    --    doc/addressbook121.png
A  +-    --    doc/addressbook122.png
A  +-    --    doc/addressbook123.png
A  +-    --    doc/addressbook130.png
A  +-    --    doc/addressbook20.png
A  +-    --    doc/addressbook30.png
A  +-    --    doc/addressbook31.png
A  +-    --    doc/addressbook32.png
A  +-    --    doc/addressbook33.png
A  +-    --    doc/addressbook34.png
A  +-    --    doc/addressbook35.png
A  +-    --    doc/addressbook40.png
A  +-    --    doc/addressbook50.png
A  +-    --    doc/addressbook51.png
A  +-    --    doc/addressbook52.png
A  +-    --    doc/addressbook53.png
A  +-    --    doc/addressbook54.png
A  +-    --    doc/addressbook55.png
A  +-    --    doc/addressbook60.png
A  +-    --    doc/addressbook61.png
A  +-    --    doc/addressbook70.png
A  +-    --    doc/addressbook71.png
A  +-    --    doc/addressbook72.png
A  +-    --    doc/addressbook73.png
A  +-    --    doc/addressbook74.png
A  +-    --    doc/addressbook75.png
A  +-    --    doc/addressbook76.png
A  +-    --    doc/addressbook77.png
A  +-    --    doc/addressbook80.png
A  +-    --    doc/addressbook81.png
A  +-    --    doc/addressbook82.png
A  +-    --    doc/addressbook83.png
A  +-    --    doc/addressbook84.png
A  +-    --    doc/addressbook85.png
A  +-    --    doc/addressbook86.png
A  +-    --    doc/addressbook87.png
A  +-    --    doc/addressbook90.png
A  +-    --    doc/addressbook91.png
A  +-    --    doc/addressbook92.png
A  +-    --    doc/addressbook93.png
A  +-    --    doc/addressbook94.png
A  +-    --    doc/addressbook95.png
A  +-    --    doc/application-exit.png
A  +-    --    doc/application-x-ms-shortcut.png
A  +-    --    doc/change-icon.png
A  +-    --    doc/change-language.png
A  +-    --    doc/configure.png
A  +793  -0    doc/docbook-reference.docbook
A  +-    --    doc/document-edit.png
A  +-    --    doc/document-open.png
A  +-    --    doc/document-preview-archive.png
A  +-    --    doc/document-print.png
A  +-    --    doc/document-properties.png
A  +-    --    doc/document-revert.png
A  +-    --    doc/draw-circle.png
A  +-    --    doc/draw-rectangle.png
A  +-    --    doc/edit-clear.png
A  +-    --    doc/edit-copy.png
A  +-    --    doc/edit-cut.png
A  +-    --    doc/edit-delete.png
A  +-    --    doc/edit-paste.png
A  +-    --    doc/edit-undo.png
A  +-    --    doc/folder-new.png
A  +-    --    doc/go-down.png
A  +-    --    doc/go-jump.png
A  +-    --    doc/go-next.png
A  +-    --    doc/go-previous.png
A  +-    --    doc/help-about.png
A  +2255 -0    doc/index.docbook
A  +-    --    doc/input-keyboard.png
A  +-    --    doc/kaddressbook.png
A  +-    --    doc/list-add.png
A  +-    --    doc/list-remove.png
A  +-    --    doc/mail-message-new.png
A  +-    --    doc/show-menu.png
A  +-    --    doc/system-help.png
A  +-    --    doc/tools-report-bug.png
A  +-    --    doc/user-group-new.png
A  +-    --    doc/view-calendar-birthday.png
A  +-    --    doc/view-refresh.png

https://commits.kde.org/kaddressbook/24d6489eaa17a6a32bdfa6b35cc8f683abbed13b